include_recipe 'ec2helper'

remote_file "#{node[:tfs][:build_agent_zipfile_path]}" do
	source "#{node[:tfs][:build_agent_zipfile_url]}"
	action :create
	notifies :unzip, "windows_zipfile[#{node[:tfs][:build_agent_dir]}]", :immediately
end

windows_zipfile "#{node[:tfs][:build_agent_dir]}" do
	source "#{node[:tfs][:build_agent_zipfile_path]}"
	not_if { File.exist?("#{node[:tfs][:build_agent_command_file_path]}") }
	action :nothing
	notifies :run, 'execute[InstallAgent]', :immediately
end

LogFileInstallAgent = "#{Chef::Config[:cache_path]}/InstallAgent.log"

execute 'InstallAgent' do
	command "#{node[:PsTools][:exe_path]} -high -u \"#{node[:tfs][:config][:username]}\" -p \"#{node[:tfs][:config][:password]}\" -h -accepteula #{node[:tfs][:build_agent_command_file_path]} /ServerUrl:http://#{node[:tfs][:application_server_fqdn]}:8080/tfs /Configure /Name:#{ENV['COMPUTERNAME']} /force /RunningAsService /PoolName:default  /WindowsServiceLogonAccount:\"#{node[:tfs][:build_agent_account_name]}\" /NoPrompt /WindowsServiceLogonPassword:\"xxx\""
end

machineConfigX86 = "C:/Windows/Microsoft.NET/Framework/v4.0.30319/Config/machine.config"

template "#{machineConfigX86}" do
  source 'build.x86.machine.config'
  variables(	:sqlexpress4build_private_dns_name => "#{node[:tfs][:sqlexpress4build_private_dns_name]}",
				:sqlexpress4build_username => "#{node[:tfs][:sqlexpress4build_username]}",
				:sqlexpress4build_password => "#{node[:tfs][:sqlexpress4build_password]}" )
end
